<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Handling bug reports</title><meta name="generator" content="DocBook XSL Stylesheets V1.68.1" /><link rel="start" href="index.html" title="Debian Community Guidelines" /><link rel="up" href="ch03.html" title="Chapter 3. Debian-specific guidelines" /><link rel="prev" href="ch03.html" title="Chapter 3. Debian-specific guidelines" /><link rel="next" href="ch03s03.html" title="Reporting bugs" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Handling bug reports</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch03.html">Prev</a> </td><th width="60%" align="center">Chapter 3. Debian-specific guidelines</th><td width="20%" align="right"> <a accesskey="n" href="ch03s03.html">Next</a></td></tr></table><hr /></div><div class="sect1" lang="en-us" xml:lang="en-us"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="debian-bugreports"></a>Handling bug reports</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p><span class="emphasis"><em>Take bugs positively.</em></span></p><p>
    Bug reports are precious information that allows you to improve the quality of
    your packages: they are not insults to your skills, and there is nothing
    shameful in having a bug reported to your packages.</p><p>
    Having bugs reported is actually a sign that people are using your packages
    and are interested in them.
    </p></li><li><p><span class="emphasis"><em>Interface with upstream.</em></span></p><p>
    As the maintainer of a package, you are also an interface between Debian users
    and upstream developers.
    </p><p>
    This can mean tracking upstream's development mailing lists, filtering bugs
    reports in the Debian BTS and forwarding relevant ones to upstream's bug
    tracking system.  It is also needed to track what happens in upstream's bug
    tracking system with regards to bugs that are also reported to Debian.
    </p><p>
    If this means a lot of work, which is usually the case for popular
    packages, it can be a good idea to involve more people to help with the task.
    Usually the more a package is popular the more bugs are reported, but it is
    also easier to find people that could help.
    </p></li><li><p><span class="emphasis"><em>Be open minded.</em></span></p><p>Bug reporters could be different people than what you expect: try not
    to make assuptions about them.</p><p>People could also be using the software in a different way than you
    do, and it may happen that your proposed solution to a problem might not
    work well for them, and a more general solution is needed.</p><p>
    These are four questions that can be very useful when the reporter seems to
    be working differently than what the developer expects:
      </p><div class="itemizedlist"><ul type="circle"><li><p>
          What led up to the situation?
        </p></li><li><p>
          What did you do that was especially effective or ineffective?
        </p></li><li><p>
          What was the outcome or result of this action?
        </p></li><li><p>
          Why was this action effective, or what more effective action might have
          been expected?
        </p></li></ul></div><p>
    </p></li></ul></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch03.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch03.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch03s03.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 3. Debian-specific guidelines </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Reporting bugs</td></tr></table></div></body></html>
